using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StevoTakmicenje2._1zad
{
    class Program
    {
        static void Main(string[] args)
        {
            string a, b, c;
            a = Console.ReadLine();
            b = Console.ReadLine();
            c = Console.ReadLine();
            string d1 = a + b + c;
            string d2 = a + c + b;
            string d3 = b + a + c;
            string d4 = b + c + a;
            string d5 = c + a + b;
            string d6 = c + b + a;
            int e1 = Convert.ToInt32(d1);
            int e2 = Convert.ToInt32(d2);
            int e3 = Convert.ToInt32(d3);
            int e4 = Convert.ToInt32(d4);
            int e5 = Convert.ToInt32(d5);
            int e6 = Convert.ToInt32(d6);
            if (e1 >= e2 && e1 >= e3 && e1 >= e4 && e1 >= e5 && e1 >= e6) { Console.WriteLine(d1); Console.ReadLine(); }
            else if (e2 >= e1 && e2 >= e3 && e2 >= e4 && e2 >= e5 && e2 >= e6) { Console.WriteLine(d2); Console.ReadLine(); }
            else if (e3 >= e1 && e3 >= e2 && e3 >= e4 && e3 >= e5 && e3 >= e6) { Console.WriteLine(d3); Console.ReadLine(); }
            else if (e4 >= e1 && e4 >= e2 && e4 >= e3 && e4 >= e5 && e4 >= e6) { Console.WriteLine(d4); Console.ReadLine(); }
            else if (e5 >= e1 && e5 >= e2 && e5 >= e3 && e5 >= e4 && e5 >= e6) { Console.WriteLine(d5); Console.ReadLine(); }
            else if (e6 >= e1 && e6 >= e2 && e6 >= e3 && e6 >= e4 && e6 >= e5) { Console.WriteLine(d6); Console.ReadLine(); }
        }
    }
}